#ifndef DATABASE_H
#define DATABASE_H

#include <time.h>

#include <iostream>
#include <fstream>
/*
using namespace std;

struct USER {
  time_t current_time;
  time_t birthday;
  char sex;
};

struct DOUBLE {
  time_t current_time;
  int intensity;
  char key;
  long int key_press [9];
  char key_second;
  long int key_second_press [9];
  char between_pressing;
  struct {
    int start_interval;
    int quantity_of_hits;
  } intervals_of_pressing[300];
};

struct PSPHST {
  time_t current_time;
  struct DOUBLE presses[30];
  struct DOUBLE etalon[30];
  struct DOUBLE rest_etalon[30];
  char last_psphst;
};

struct WINDOW {
  time_t current_time;
  int window_code;
  int duration_of_work;
};

struct WINDOW_HEADING {
  time_t current_time;
  char window_heading[100];
  int duration_of_work;
};

struct REACTION {
  time_t current_time;
  int average_time_of_reaction;
};

struct PAIN_DISCOMFORT {
  time_t current_time;
  int pain_discomfort;
};

struct KNEE_BENDS {
  time_t current_time;
  int pulse_in_rest;
  char minute_of_restoration;
};

struct ORTOSTATICHESKY_TEST {
  time_t current_time;
  int pulse_lying;
  int pulse_standing;
};

struct KLINOSTATICHESKY_TEST {
  time_t current_time;
  int pulse_standing;
  int pulse_lying;
};

struct TEST_SHTANGE {
  time_t current_time;
  int breath_delay;
};

struct TEST_GENCHA {
  time_t current_time;
  int breath_delay;
};

struct GROWTH {
  time_t current_time;
  int growth;
};

struct WEIGHT {
  time_t current_time;
  int weight;
};

struct DIARY {
  time_t current_time; 
  int state_of_health_mood; 
  int appetite;
  int dream;
  int working_capacity;
  int desire_to_work;
  int painful_sensations;
};

struct PULSE_IN_THE_MORNING {
  time_t current_time;
  int pulse_rate;
};

struct FUNCTIONAL_CONDITIONS_TO {
  time_t current_time;
  int pulse_rate;
  int frequency_of_breath;
};

struct ARTERIAL_PRESSURE_TO {
  time_t current_time;
  int arterial_pressure;
};

struct ARTERIAL_PRESSURE_AFTER {
  time_t current_time;
  int arterial_pressure;
};

struct FUNCTIONAL_CONDITIONS_AFTER {
  time_t current_time;
  int pulse_rate;
  int frequency_of_breath;
};

struct QUALITY_OF_HANDWRITING {
  time_t current_time;
};

struct INFLUENCE {
  time_t current_time;
  bool has_accepted;
  int influence_nomber;
};

struct TEMPERATURE {
  time_t current_time;
  float body_temperature;
};

struct ACTIVITY_TYPE {
  time_t current_time;
  char activity_type;
  time_t duration_of_work;
};

struct MEDICAL_INSPECTION {
  time_t current_time;
  char medical_inspection;
};

class database
{
  public:
    database();
    ~database();
    void export_db (void);
    void import_db (void);
    void get_device_data (void);

    int update_user(struct USER * user);
    int add_window (struct WINDOW * window);
    int add_window_heading (struct WINDOW_HEADING * window_heading);
    int add_reaction (struct REACTION * reaction);
    int add_pain_discomfort (struct PAIN_DISCOMFORT * pain_discomfort);
    int add_knee_bends (struct KNEE_BENDS * knee_bends); 
    int add_ortostatichesky_test (struct ORTOSTATICHESKY_TEST * ortostatichesky_test);
    int add_klinostatichesky_test (struct KLINOSTATICHESKY_TEST * klinostatichesky_test);
    int add_test_shtange (struct TEST_SHTANGE * test_shtange);
    int add_test_gencha (struct TEST_GENCHA * test_gencha);
    int add_growth (struct GROWTH * growth);
    int add_weight (struct WEIGHT * weight);
    int add_diary (struct DIARY * diary);
    int add_pulse_in_the_morning (struct PULSE_IN_THE_MORNING * pulse_in_the_morning);
    int add_function_conditions_to (struct FUNCTIONAL_CONDITIONS_TO * function_conditions_to);
    int add_arterial_pressure_to (struct ARTERIAL_PRESSURE_TO * arterial_pressure_to);
    int add_arterial_pressure_after (struct ARTERIAL_PRESSURE_AFTER * arterial_pressure_after);
    int add_function_conditions_after (struct FUNCTIONAL_CONDITIONS_AFTER * function_conditions_after);
    int add_quality_of_handwriting (struct QUALITY_OF_HANDWRITING * quality_of_handwriting);
    int add_influence (struct INFLUENCE * influence);
    int add_temperature (struct TEMPERATURE * temperature);
    int add_activity_type (struct ACTIVITY_TYPE * activity_type);
    int add_medical_inspection (struct MEDICAL_INSPECTION * medical_inspection);
    int get_user(void);
    int get_window (time_t start_time, time_t stop_time);
    int get_window_heading (time_t start_time, time_t stop_time);
    int get_reaction (time_t start_time, time_t stop_time);
    int get_pain_discomfort (time_t start_time, time_t stop_time);
    int get_knee_bends (time_t start_time, time_t stop_time);
    int get_ortostatichesky_test (time_t start_time, time_t stop_time);
    int get_klinostatichesky_test (time_t start_time, time_t stop_time);
    int get_test_shtange (time_t start_time, time_t stop_time);
    int get_test_gencha (time_t start_time, time_t stop_time);
    int get_growth (time_t start_time, time_t stop_time);
    int get_weight (time_t start_time, time_t stop_time);
    int get_diary (time_t start_time, time_t stop_time);
    int get_pulse_in_the_morning (time_t start_time, time_t stop_time);
    int get_function_conditions_to (time_t start_time, time_t stop_time);
    int get_arterial_pressure_to (time_t start_time, time_t stop_time);
    int get_arterial_pressure_after (time_t start_time, time_t stop_time);
    int get_function_conditions_after (time_t start_time, time_t stop_time);
    int get_quality_of_handwriting (time_t start_time, time_t stop_time);
    int get_influence (time_t start_time, time_t stop_time);
    int get_temperature (time_t start_time, time_t stop_time);
    int get_activity_type (time_t start_time, time_t stop_time);
    int get_medical_inspection (time_t start_time, time_t stop_time);

  private:

    int add_doubles (struct DOUBLE * double_);
};
*/
#endif
