#include <iostream>
#include <fstream>

#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>

using namespace std;

void error (void);

void main_menu (void); 

void window001 (void);
void window002 (void);
void window003 (void);

void window011 (void);
void window012 (void);
void window013 (void);

void window021 (void);
void window022 (void);
void window023 (void);

void window031 (void);
void window032 (void);
void window033 (void);

void window041 (void);
void window042 (void);
void window043 (void);

void window051 (void);
void window052 (void);
void window053 (void);

void window061 (void);
void window062 (void);
void window063 (void);

void window071 (void);
void window072 (void);
void window073 (void);

void window081 (void);
void window082 (void);
void window083 (void);

void window091 (void);
void window092 (void);
void window093 (void);

int menu_nomber;

int main (int argc, char *argv[], char *argp[]) {
  menu_nomber = 0;
  while (1) {
      
    switch (menu_nomber) {
      case 0: main_menu(); break;

      case 1: window001(); break;
      case 2: window002(); break;
      case 3: window003(); break;

      case 11: window011(); break;
      case 12: window012(); break;
      case 13: window013(); break;

      case 21: window021(); break;
      case 22: window022(); break;
      case 23: window023(); break;

      case 31: window031(); break;
      case 32: window032(); break;
      case 33: window033(); break;

      case 41: window041(); break;
      case 42: window042(); break;
      case 43: window043(); break;

      case 51: window051(); break;
      case 52: window052(); break;
      case 53: window053(); break;

      case 61: window061(); break;
      case 62: window062(); break;
      case 63: window063(); break;

      case 71: window071(); break;
      case 72: window072(); break;
      case 73: window073(); break;

      case 81: window081(); break;
      case 82: window082(); break;
      case 83: window083(); break;

      case 91: window091(); break;
      case 92: window092(); break;
      case 93: window093(); break;
      
      case -1: return 1;
      
      default: {
        error();
        menu_nomber = 0;
      }
    }
  }
  return 1;
}

void window001 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "A simple test determines the fatigue of the person." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 3; break; };
    case '2': { menu_nomber = 2; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
};

void window002 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Description of the test to determine fatigue of a person." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To perform this test, you must monitor every second flickering and" << endl
       << "case of delay in the test press the specified key. The test is repeated" << endl
       << "several times. The program calculates the average value. This result" << endl
       << "you can use to compare with other and make recommendations." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 3; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window003 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The determination of fatigue of a person." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Press 'W' and immediately 'Enter', if every second flickering" << endl
       << " stop. The test is performed several times in a row." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '2': { menu_nomber = 0; return; };
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1; return;
  }
  srand(time(NULL));
  long proba[4] = {0};
  char proba_ok = 0;
  int i;
  while (proba_ok < 4) {
    int kolvo_intervalov = rand()%(18) + 3;
    for (i = 0; i < kolvo_intervalov; i++) {
      cout << "\b1";
      cout.flush();
      sleep(1);
      cout << "\b0";
      cout.flush();
      sleep(1);
    }
    struct timeval start, end;
    long mtime, seconds, useconds;
    gettimeofday(&start, NULL);
    char answer;
    cin >> answer;
    gettimeofday(&end, NULL);
    seconds  = end.tv_sec  - start.tv_sec;
    useconds = end.tv_usec - start.tv_usec;
    mtime = ((seconds) * 1000 + useconds/1000.0) + 0.5;
    if ((mtime < 3000) && (mtime > 0)) {
      proba[(int)proba_ok] = mtime;
      proba_ok++;
    }
  }
  for(i=1; i<4; i++) {
    proba[0] = proba[0] + proba[i];
  }
  proba[0] = proba[0] / 4;
  cout << endl << "Test completed!" << endl << "The average value of the reaction =" << proba[0]
       << ";" << endl << "To record the result in a database press 'y' and 'Enter'"
       << endl << "To not save the value, press any other key and 'Enter'"
       << endl;
  cin >> answer;
  if ((answer == 'y') || (answer == 'Y')) {
    char run_string[201] = {0};
    sprintf((char*)&run_string,"abashin.ru.db add REACTION %li",proba[0]);
    FILE * file;
    file = popen(run_string, "r");
    pclose(file);
    cout << endl << "Test results saved. You navigate in the main menu." << endl;
  }
}

void window011 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "A test to determine the rate of recovery of the body." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 13; break; };
    case '2': { menu_nomber = 12; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window012 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Description of the test for determining the rate of recovery of the body." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To pass the test you must be able to perform 20 complete sit-ups." << endl
       << "Testing time about 10-15 minutes." << endl
       << "1. It is necessary to sit quietly 5 minutes." << endl
       << "2. Count the pulse in a calm state." << endl
       << "3. Run 20 sit-ups stretching their hands in front of them in an average rhythm." << endl
       << "4. 2 (two) minutes to sit quietly." << endl
       << "5. Calculate the pulse within the third minute after sit-ups." << endl
       << "   If the pulse became equal to the pulse before squats, enter into the program 3." << endl
       << "   Finish the test. See the result." << endl
       << "6. If the pulse value remains greater than the pulse before squatting," << endl
       << "   count the pulse for the fourth minute." << endl
       << "   If the pulse is equal to the pulse before squats, enter the program 4." << endl
       << "   Finish the test. See the result." << endl
       << "7. If the pulse value remains greater than the pulse before squatting," << endl
       << "   count the pulse for the fifth minute." << endl
       << "   If the pulse became equal to the pulse before squats, enter in the program 5." << endl
       << "   Finish the test. Read the result." << endl
       << "8. If the pulse value remains greater than the pulse before squatting," << endl
       << "   enter in the program 6. Finish the test." << endl
       << "   See the result." << endl
       << "Depending on the moment at which the restoration took place" << endl
       << "pulse and the assumption is made about the rate of recovery of the body." << endl
       << "The test does not have high accuracy, but it is quite suitable for use" << endl
       << "In the absence of other methods to determine the rate of recovery of" << endl
       << " the body." << endl
       << "ATTENTION! Pulse may recover, but not be equal to pulse before squats." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 13; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window013 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "A test to determine the rate of recovery of the body." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To pass the test, you must be able to complete 20 complete sit-ups." << endl
       << "Testing time about 10-15 minutes." << endl
       << "1. It is necessary to sit quietly 5 minutes." << endl
       << "2. Count the pulse in a calm state." << endl
       << "3. Run 20 sit-ups stretching their hands in front of them in an average rhythm." << endl
       << "4. 2 (two) minutes to sit quietly." << endl
       << "5. Read the pulse for the next 3,4,5,6 minutes." << endl
       << "   Enter in the program a mini on which the pulse became equal to the" << endl
       << "   pulse before sit-ups." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '2': { menu_nomber = 0; break; };
    case '1': {
      cout << "Enter the pulse before squats: ";
      int pulse = 0;
      cin >> pulse;
      cout << "Enter the number of the minute on which the pulse from 3 to 6 has recovered: ";
      int min = 0;
      cin >> min;
      cout << endl << "Test completed!" << endl;
      switch (min) {
        case 0: ;
        case 1: ;
        case 2: ;
        case 3: {
          cout << "The recovery rate of the body is excellent" << endl;
          break;
        }
        case 4: {
          cout << "The recovery rate of the body is good" << endl;
          break;
        }
        case 5: {
          cout << "The rate of recovery is satisfactory" << endl;
          break;
        }
        default: cout << "The rate of recovery of the body is poor" << endl;
      }
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add KNEE_BENDS %i %i", pulse, min);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    default: menu_nomber = -1;
  }
}

void window021 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Overwork test." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 23; break; };
    case '2': { menu_nomber = 22; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window022 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Overwork test (Orthostatic test)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To perform the test, it is necessary to lie down and lie for 5 minutes with almost " << endl
       << "no movement. Next, measure the pulse for a minute. Then get up and" << endl
       << "stand for five minutes with little movement. Then calculate the pulse per minute." << endl
       << "Next, you need to enter the values into the program." << endl
       << "Testing time approximately 12-15 minutes." << endl
       << "ATTENTION! Use of tests does not replace medical examination." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 23; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window023 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Overwork test (Orthostatic test)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To perform the test, it is necessary to lie down and lie almost without " << endl
       << "movement for 5 minutes. Next, measure the pulse for a minute. Then get up and" << endl
       << "stand for five minutes with little movement. Then calculate the pulse per minute." << endl
       << "Next, you need to enter the values into the program." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Enter the pulse in the supine position per minute: ";
      int pulsel = 0;
      cin >> pulsel;
      cout << "Enter the pulse in the standing position for a minute: ";
      int pulses = 0;
      cin >> pulses;
      cout << endl << "Test completed!" << endl;
      int pulse = pulses - pulsel;
      if ((pulse > 0) && (pulse < 15)) cout << "Exhaustion is perhaps absent." << endl;
      if ((pulse > 14) && (pulse < 20)) cout << "There may be a slight overwork." << endl;
      if (pulse > 19) cout << "Perhaps the presence of fatigue or insufficient recovery of the body." << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add ORTOSTATICHESKY_TEST %i %i", pulsel, pulses);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window031 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Test of determination of human fitness." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 33; break; };
    case '2': { menu_nomber = 32; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window032 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The test for determining the body's fitness (Clinoostatic test)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To perform the test, it is necessary to stand for 5 minutes and stand " << endl
       << "almost without movement. 1.Then count the pulse for a minute. 2.Lie down." << endl
       << "3.Calculate the pulse for a minute lying down. 4.Enter the values " << endl
       << "in the program. 5.See the answer." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 33; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window033 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The test for determining the body's fitness (Clinoostatic test)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To perform the test, it is necessary to stand for five minutes and stand " << endl
       << "almost without movement. 1.Then count the pulse for a minute. 2.Lie down." << endl
       << "3.Calculate the pulse for a minute lying down. 4.Enter the values" << endl
       << "in the program. 5.See the answer." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Enter the pulse in the standing position for a minute: ";
      int pulses = 0;
      cin >> pulses;
      cout << "Enter the pulse in the supine position per minute: ";
      int pulsel = 0;
      cin >> pulsel;
      cout << endl << "Test completed!" << endl;
      int pulse = pulses - pulsel;
      if ((pulse > 0) && (pulse < 10)) cout << "There is no training." << endl;
      if (pulse > 9) cout << "Training is present." << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add KLINOSTATICHESKY_TEST %i %i", pulses, pulsel);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window041 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Respiratory function test." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 43; break; };
    case '2': { menu_nomber = 42; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window042 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Respiratory function test (Tests of Stange, Gencia)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1.Take a breath." << endl << "2.Hold your hand over your mouth and nose. 3.Hold the breath." << endl
       << "4.To detect the time delay of breathing." << endl << "5.Restore breathing." << endl
       << "6.After restoring breathing, take 2-3 deep breaths and expire." << endl
       << "7.Hold the breath." << endl << "8.To detect the time delay of breathing." << endl
       << "9.Enter values in the program." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 43; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window043 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Respiratory function test (Tests of Stange, Gencia)." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1.Take a breath." << endl << "2.Hold your hand over your mouth and nose. 3.Hold the breath." << endl
       << "4.To detect the time delay of breathing." << endl << "5.Restore breathing." << endl
       << "6.After restoring breathing, exhale." << endl
       << "7.Hold the breath." << endl << "8.To detect the time delay of breathing." << endl
       << "9.Enter values in the program." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Enter the breath delay after inspiration in seconds: ";
      int shtange = 0;
      cin >> shtange;
      cout << "Enter the breath delay after exhalation in seconds: ";
      int geitcha = 0;
      cin >> geitcha;
      cout << endl << "Test completed!" << endl;
      int result1 = 0;
      int result2 = 0;
      if (shtange > 90) result1 = 5;
      else if (shtange > 60) result1 = 4;
      else if (shtange > 30) result1 = 3;
      else result1 = 2;
      if (geitcha > 41) result2 = 5;
      else if (geitcha > 38) result2 = 4;
      else if (geitcha > 34) result2 = 3;
      else result2 = 2;
      result1 = (result1 + result2)/2;
      cout << "The state of the respiratory system is estimated as ";
      switch (result1) {
        case 5: {cout << "excellent"; break;}
        case 4: {cout << "good"; break;}
        case 3: {cout << "satisfactory"; break;}
        default: cout << "unsatisfactory";
      }
      cout << "." << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add TEST_SHTANGE %i", shtange);
        sprintf((char*)&run_string,"abashin.ru.db add TEST_GENCHA %i", geitcha);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window051 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Determination of the impact on the body of various activities." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. To read detailed explanations to the test." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 53; break; };
    case '2': { menu_nomber = 52; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window052 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Determination of the impact on the body of various activities." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "The test consists in determining the pulse rate and the frequency of breathing before and " << endl
       << "after activity. Obviously, the test is suitable for determining physical " << endl
       << "fatigue. To determine mental fatigue, use the test №1 from" << endl
       << "main menu." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 53; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window053 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Determination of the impact on the body of various activities." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "The test consists in determining the pulse rate and the frequency of breathing before and after " << endl
       << "activity. The test is suitable for determining physical fatigue." << endl
       << "It is necessary to enter the pulse rate and the frequency of breathing before and after work." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Enter the heart rate before operation: ";
      int cpd = 0;
      cin >> cpd;
      cout << "Enter the frequency of breathing before work: ";
      int cdd = 0;
      cin >> cdd;
      cout << "Enter the heart rate after work: ";
      int cpp = 0;
      cin >> cpp;
      cout << "Enter the respiratory rate after work: ";
      int cdc = 0;
      cin >> cdc;
      cout << endl << "Test completed!" << endl;
      cout << "During the operation, the pulse rate changed to ";
      cout << cpp-cpd << "." << endl;
      cout << "During operation, the respiration rate has changed to ";
      cout << cdc-cdd << "." << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add FUNCTIONAL_CONDITIONS_TO %i %i", cpd, cdd);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        sprintf((char*)&run_string,"abashin.ru.db add FUNCTIONAL_CONDITIONS_AFTER %i %i", cpp, cdc);
        file = NULL;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window061 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add body temperature to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. To proceed with testing. There is a description of the test." << endl;
  cout << "2. Read detailed explanations for the operation." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 63; break; };
    case '2': { menu_nomber = 62; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window062 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add body temperature to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Control of body temperature helps to monitor the course of infectious " << endl
       << "diseases." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 63; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }

}

void window063 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add body temperature to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Control of body temperature helps to monitor the course of infectious " << endl
       << "diseases." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Enter body temperature to within a tenth, example 36.7: ";
      float tmp1 = 0;
      cin >> tmp1;
      int tmp = tmp1 * 10;
      cout << endl << "Test completed!" << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add TEMPERATURE %i", tmp);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window071 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add time and type of medical examination." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. Add time and type of medical examination." << endl;
  cout << "2. Read detailed explanations for the operation." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 73; break; };
    case '2': { menu_nomber = 72; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window072 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add time and type of medical examination." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To identify diseases in the early stages, it is mandatory to have a " << endl
       << "medical examination every six months." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 73; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }

}

void window073 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add time and type of medical examination." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "To identify diseases in the early stages, it is mandatory to have a " << endl
       << "medical examination every six months." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Select the option of medical examination:" << endl;
      cout << "0. I do not have the opportunity to undergo medical examination." << endl;
      cout << "1. General medical examination." << endl;
      cout << "2. Medical examination for obtaining a driver's license." << endl;
      cout << "3. Medical examination for a license for weapons." << endl;
      cout << "4. Medical examination (other)." << endl;
      int mo = 0;
      cin >> mo;
      cout << endl << "Test completed!" << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add MEDICAL_INSPECTION %i", mo);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window081 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Answer questions about the psychophysiological state." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. Answer the questions." << endl;
  cout << "2. Read detailed explanations to the questionnaire." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 83; break; };
    case '2': { menu_nomber = 82; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window082 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Questionnaire." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "It is necessary to answer questions for appetite, working capacity" << endl
       << "etc. This information will help in the passage of medical examinations." << endl;
  cout << "1. Start the survey. There is a short holding test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 83; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window083 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Questionnaire." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "It is necessary to answer questions for appetite, working capacity" << endl
       << "etc. This information will help in the passage of medical examinations." << endl;
  cout << "1. To proceed with testing." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "Assess your health / mood on a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int state_of_health_mood;
      cin >> state_of_health_mood;
      cout << "Appreciate your appetite for a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int appetite;
      cin >> appetite;
      cout << "Rate sleep on a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int dream;
      cin >> dream;
      cout << "Evaluate the performance on a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int working_capacity;
      cin >> working_capacity;
      cout << "Assess the desire to receive a physical load on a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int desire_to_work;
      cin >> desire_to_work;
      cout << "Assess the presence of pain on a 5-point scale" << endl;
      cout << "5 - the best, 1 - the worst." << endl;
      int painful_sensations;
      cin >> painful_sensations;
      cout << endl << "Test completed!" << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add DIARY %i %i %i %i %i %i", state_of_health_mood,
                appetite, dream, working_capacity, desire_to_work, painful_sensations);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window091 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add a message of discomfort / pain to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. Add a message about discomfort / pain." << endl;
  cout << "2. Read detailed explanations for the operation." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 93; break; };
    case '2': { menu_nomber = 92; break; };
    case '3': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window092 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add a message of discomfort / pain to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "The operation involves a questioning about the presence of pain and discomfort." << endl;
  cout << "1. To proceed with testing. A brief description of the test." << endl;
  cout << "2. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 93; break; };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }

}

void window093 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Add a message of discomfort / pain to the database." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "1. Add a message about discomfort / pain." << endl;
  cout << "2. Read detailed explanations for the operation." << endl;
  cout << "3. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with a letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': {
      cout << "------------------------------------" << endl;
      cout << "1. Weak pains in hand." << endl;
      cout << "2. Middle pains in hand." << endl;
      cout << "3. Severe pain in hand." << endl;
      cout << "------------------------------------" << endl;
      cout << "4. Weak pains in the head." << endl;
      cout << "5. Middle pains in the head." << endl;
      cout << "6. Severe pain in the head." << endl;
      cout << "------------------------------------" << endl;
      cout << "7. Weak pains in back hurts." << endl;
      cout << "8. Middle pains in back hurts." << endl;
      cout << "9. Severe pain in back hurts." << endl;
      cout << "------------------------------------" << endl;
      cout << "10. Weak pains in the neck." << endl;
      cout << "11. Middle pains in the neck." << endl;
      cout << "12. Severe pain in the neck." << endl;
      cout << "------------------------------------" << endl;
      cout << "13. Weak pains in the eyes." << endl;
      cout << "14. Middle pains in the eyes." << endl;
      cout << "15. Severe pain in the eyes." << endl;
      cout << "------------------------------------" << endl;
      cout << "16. Weak pains other." << endl;
      cout << "17. Middle pains other." << endl;
      cout << "18. Severe pain other." << endl;
      cout << "------------------------------------" << endl;
      int pain = 0;
      cin >> pain;
      cout << endl << "Test completed!" << endl;
      cout << endl << "To write the result to the database, press 'y' and 'Enter'"
           << endl << "To not save the value, press any other key and 'Enter'"
           << endl;
      cin >> answer;
      if ((answer == 'y') || (answer == 'Y')) {
        char run_string[201] = {0};
        sprintf((char*)&run_string,"abashin.ru.db add PAIN_DISCOMFORT %i", pain);
        FILE * file;
        file = popen(run_string, "r");
        pclose(file);
        cout << endl << "Test results saved. You navigate in the main menu." << endl;
      }
      menu_nomber = 0;
      break;
    };
    case '2': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void error (void) {
    cout << endl << "----------------------------------------------------------------------" << endl;
    cout << "Program reporting abashin.ru 0.0.3." << endl;
    cout << "----------------------------------------------------------------------" << endl;
    cout << "error: Most likely in the program the error occurred, to resolve" <<
           endl << "update the program." << endl << endl;
    menu_nomber = -1;
}

void main_menu (void) {
    cout << endl << "----------------------------------------------------------------------" << endl;
    cout << "Main menu" << endl;
    cout << "----------------------------------------------------------------------" << endl;
    cout << "Select the desired test by pressing the number key:" << endl;
    cout << "1. The simplest test for determining human fatigue." << endl;
    cout << "2. A test to determine the rate of recovery of the body." << endl;
    cout << "3. Overwork test." << endl;
    cout << "4. Definition of human fitness." << endl;
    cout << "5. Determination of the work of the respiratory system." << endl;
    cout << "6. Determination of the impact on the body of different activities." << endl;
    cout << "7. Add body temperature to the database." << endl;
    cout << "8. Add time to medical examination in the database." << endl;
    cout << "9. Questionnaire." << endl;
    cout << "0. Add a pain report to the database." << endl;
    cout << "e. EXIT! To exit the program, press any letter key." << endl << endl;
    char answer;
    cin >> answer;
    switch (answer) {
      case '1': { menu_nomber = 1; break;};
      case '2': { menu_nomber = 11; break;};
      case '3': { menu_nomber = 21; break;};
      case '4': { menu_nomber = 31; break;};
      case '5': { menu_nomber = 41; break;};
      case '6': { menu_nomber = 51; break;};
      case '7': { menu_nomber = 61; break;};
      case '8': { menu_nomber = 71; break;};
      case '9': { menu_nomber = 81; break;};
      case '0': { menu_nomber = 91; break;};
      default: menu_nomber = -1;
    }
}
