#include <iostream>
#include <iomanip>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

using namespace std;

void error (void);

void main_menu (void);
int isdigit (char simbol);
time_t dmytotimet (char * dmy_day);
void window001 (void);
void window002 (void);
void window003 (void);
void window004 (void);
void window005 (void);
void window006 (void);
void window007 (void);
void window008 (void);
void window009 (void);
void window010 (void);

int menu_nomber;

void window001 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The report of fatigue." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                        The report of fatigue                      " << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                                         reaction time" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get REACTION %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chr;
  time_t ttemp = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chr = strrchr((char *)&buffer,' ');
    *chr = 0;
    chr++;
    ttemp = atol((char *)&buffer);
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec
           << " " << setw(40) << " ";
      chr[strlen(chr)-1] = 0;
      cout << chr << " mls." << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window002 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The report on the measurement of speed of heath recovery." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "        Statement of changes in speed of heath recovery" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time           pulse at rest   recovery(min)  rating" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get KNEE_BENDS %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chm = NULL;
  char * chp = NULL;
  time_t ttemp = 0;
  int estimation = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chm = strrchr((char *)&buffer,' ');
    if (chm == NULL) {
      error();
      return;
    }
    *chm = 0;
    chm++;
    chp = strstr((char *)&buffer," ");
    if (chp == NULL) {
      error();
      return;
    }
    *chp = 0;
    chp++;
    ttemp = atol((char *)&buffer);
    estimation = atoi(chm);
    if ((estimation < 0) || (estimation > 5)) estimation = 0;
    else if (estimation < 4) estimation = 5;
    else if (estimation < 5) estimation = 4;
    else estimation = 3;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chm[strlen(chm)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(12) << " " << chp << " " << setw(15) << " " << chm << " "
           << setw(15) << " " << estimation << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window003 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "A report on the presence of fatigue." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                      A report on the presence of fatigue" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time             pulse lying       pulse standing  fatigue" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get ORTOSTATICHESKY_TEST %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chm = NULL;
  char * chp = NULL;
  time_t ttemp = 0;
  int estimation = 0;
  int l, s;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chm = strrchr((char *)&buffer,' ');
    if (chm == NULL) {
      error();
      return;
    }
    *chm = 0;
    chm++;
    chp = strstr((char *)&buffer," ");
    if (chp == NULL) {
      error();
      return;
    }
    *chp = 0;
    chp++;
    ttemp = atol((char *)&buffer);
    l = atoi(chp);
    s = atoi(chm);
    estimation = s - l;
    if ((estimation > 21) || (estimation <= 0)) estimation = 0;
    else if (estimation > 17) estimation = 3;
    else if (estimation > 15) estimation = 4;
    else if (estimation > 0) estimation = 5;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chm[strlen(chm)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(12) << " " << chp << " " << setw(15) << " " << chm << " "
           << setw(15) << " " << estimation << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window004 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "A report on the presence of fitness." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                      A report on the presence of fitness" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time             pulse standing       pulse lying  fitness.." << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get KLINOSTATICHESKY_TEST %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chm = NULL;
  char * chp = NULL;
  time_t ttemp = 0;
  int estimation = 0;
  int l, s;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chm = strrchr((char *)&buffer,' ');
    if (chm == NULL) {
      error();
      return;
    }
    *chm = 0;
    chm++;
    chp = strstr((char *)&buffer," ");
    if (chp == NULL) {
      error();
      return;
    }
    *chp = 0;
    chp++;
    ttemp = atol((char *)&buffer);
    s = atoi(chp);
    l = atoi(chm);
    estimation = s - l;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chm[strlen(chm)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(12) << " " << chp << " " << setw(15) << " " << chm << " "
           << setw(10) << " ";
      if (estimation > 10) cout << "fitness..";
      else if (estimation > 3) cout << "normal..";
      else cout << "ill";
      cout << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window005 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Report on the work of the respiratory system." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "       Report on the work of the respiratory system (Shtange probe)" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                          Shtange probe           rating" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get TEST_SHTANGE %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chm = NULL;
  time_t ttemp = 0;
  int estimation = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chm = strrchr((char *)&buffer,' ');
    if (chm == NULL) {
      error();
      return;
    }
    *chm = 0;
    chm++;
    ttemp = atol((char *)&buffer);
    estimation = atoi(chm);
    if (estimation < 31) estimation = 0;
    else if (estimation > 30) estimation = 3;
    else if (estimation > 60) estimation = 4;
    else if (estimation > 90) estimation = 5;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chm[strlen(chm)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(27) << " " << chm << " "
           << setw(19) << " " << estimation << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  if (feof(pipe)) {
    cout << endl << "Report on the Shtange probe completed." << endl;
    pclose(pipe);
  }
  memset ((void *)&buffer, 0, sizeof(buffer));
  sprintf((char*)&buffer,"abashin.ru.db get TEST_GENCHA %li %li", tt_day_start, tt_day_stop);
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  cout << "       Report on the work of the respiratory system (Gencha probe)" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                          Gencha probe            rating" << endl;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chm = strrchr((char *)&buffer,' ');
    if (chm == NULL) {
      error();
      return;
    }
    *chm = 0;
    chm++;
    ttemp = atol((char *)&buffer);
    estimation = atoi(chm);
    if (estimation < 34) estimation = 0;
    else if (estimation < 36) estimation = 3;
    else if (estimation < 41) estimation = 4;
    else if (estimation > 40) estimation = 5;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chm[strlen(chm)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(27) << " " << chm << " "
           << setw(19) << " " << estimation << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window006 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Report on the activities." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                      Report on the activities" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "               Date/time                 пульс               breath" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get FUNCTIONAL_CONDITIONS_TO %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chp = NULL;
  char * chcd = NULL;
  time_t ttemp = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chcd = strrchr((char *)&buffer,' ');
    if (chcd == NULL) {
      error();
      return;
    }
    *chcd = 0;
    chcd++;
    chp = strstr((char *)&buffer," ");
    if (chp == NULL) {
      error();
      return;
    }
    *chp = 0;
    chp++;
    ttemp = atol((char *)&buffer);
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      chcd[strlen(chcd)-1] = 0;
      cout << "Beginning    ";
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(15) << " " << chp << " " << setw(18) << " " << chcd << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
    sprintf((char*)&buffer,"abashin.ru.db get FUNCTIONAL_CONDITIONS_AFTER %li %li", tt_day_start, tt_day_stop);
    FILE * pipe2 = NULL;
    if((pipe2 = popen(buffer, "r")) == NULL) {
      error();
      return;
    }
    char * chp2 = NULL;
    char * chcd2 = NULL;
    time_t ttemp2 = 0;
    while(fgets(buffer, 200, pipe2)) {
      cout.fill ('.');
      chcd2 = strrchr((char *)&buffer,' ');
      if (chcd2 == NULL) {
        error();
        return;
      }
      *chcd2 = 0;
      chcd2++;
      chp2 = strstr((char *)&buffer," ");
      if (chp2 == NULL) {
        error();
        return;
      }
      *chp2 = 0;
      chp2++;
      ttemp2 = atol((char *)&buffer);
      if (ttemp <= ttemp2) {
        tmb = localtime(&ttemp2);
        chcd2[strlen(chcd2)-1] = 0;
        cout << "Ending    ";
        cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
             << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
        cout << setw(15) << " " << chp2 << " " << setw(18) << " " << chcd2 << endl;
        break;
      }
    }
    pclose(pipe2);
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window007 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Report on the measurement of body temperature." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                    Report on the measurement of body temperature" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                                         temperature" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get TEMPERATURE %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chr;
  time_t ttemp = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chr = strrchr((char *)&buffer,' ');
    *chr = 0;
    chr++;
    ttemp = atol((char *)&buffer);
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec
           << " " << setw(40) << " ";
      chr[strlen(chr)-1] = 0;
      cout << chr << " С." << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }

}

void window008 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Report on medical examinations." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "              Report on medical examinations" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                                         inspection" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get MEDICAL_INSPECTION %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chr;
  time_t ttemp = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chr = strrchr((char *)&buffer,' ');
    *chr = 0;
    chr++;
    ttemp = atol((char *)&buffer);
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec
           << " " << setw(30) << " ";
      chr[strlen(chr)-1] = 0;
      switch (atoi(chr)) {
        case 0: cout << "there is no possibility"; break;
        case 1: cout << "common"; break;
        case 2: cout << "driver's license"; break;
        case 3: cout << "the right to bear arms"; break;
        case 4: cout << "other"; break;
        default: cout << "an unknown value";
      }
      cout << "." << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window009 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "The results of the polls." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                          The results of the polls" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time          appetite   efficiency            pain" << endl;
  cout << "               health     sleep         desire to be trained." << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get DIARY %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  time_t ttemp = 0;
  char * state_of_health_mood;
  char * appetite;
  char * dream;
  char * working_capacity;
  char * desire_to_work;
  char * painful_sensations;
  //char * estimation = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    state_of_health_mood = strstr((char *)&buffer," ");
    *state_of_health_mood = 0;
    state_of_health_mood++;
    ttemp = atol((char *)&buffer);
    appetite = strstr((char *)state_of_health_mood," ");
    *appetite = 0;
    appetite++;
    dream = strstr((char *)appetite," ");
    *dream = 0;
    dream++;
    working_capacity = strstr((char *)dream," ");
    *working_capacity = 0;
    working_capacity++;
    desire_to_work = strstr((char *)working_capacity," ");
    *desire_to_work = 0;
    desire_to_work++;
    painful_sensations = strstr((char *)desire_to_work," ");
    *painful_sensations = 0;
    painful_sensations++;
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      painful_sensations[strlen(painful_sensations)-1] = 0;
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec << " ";
      cout << setw(2) << " " << state_of_health_mood << " ";
      cout << setw(5) << " " << appetite << " ";
      cout << setw(3) << " " << dream << " ";
      cout << setw(7) << " " << working_capacity << " ";
      cout << setw(14) << " " << desire_to_work << " ";
      cout << setw(6) << " " << painful_sensations << " " << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void window010 (void) {
  cout << endl << "----------------------------------------------------------------------" << endl;
  cout << "Report pain/discomfort." << endl;
  cout << "----------------------------------------------------------------------" << endl;
  cout << "Select the start date of the report (day/month/year). Example:5.2.2017" << endl;
  char dt[12] = {0};
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_start = dmytotimet ((char *)&dt);
  if (tt_day_start < 1) {
    error();
    return;
  }
  cout << "Enter the end date of the report (day/month/year). Example:16.12.2011" << endl;
  memset((void *)&dt, 0, sizeof(dt));
  cin >> (char *)&dt;
  if (strlen((char *)&dt) > 12) {
    cout << "Incorrectly entered date try to take the test again" << endl;
    menu_nomber = 0;
    return;
  }
  time_t tt_day_stop = dmytotimet ((char *)&dt);
  if (tt_day_stop < 1) {
    error();
    return;
  }
  cout << "----------------------------------------------------------------------" << endl << endl;
  if (tt_day_start > tt_day_stop) {
    cout << "Incorrectly entered start and end time." << endl;
    cout << "Try again." << endl;
    menu_nomber = 0;
    return;
  }
  struct tm * tmb;
  tmb = localtime(&tt_day_start);
  cout << "                   about the pain/discomfort" << endl;
  cout << "                        from " << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900;
  tmb = localtime(&tt_day_stop);
  cout << " to "  << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "."
       << tmb->tm_year+1900 << endl << endl;
  cout << "     Date/time                                     pain/discomfort" << endl;
  char buffer[201] = {0};
  sprintf((char*)&buffer,"abashin.ru.db get PAIN_DISCOMFORT %li %li", tt_day_start, tt_day_stop);
  FILE * pipe = NULL;
  if((pipe = popen(buffer, "r")) == NULL) {
    error();
    return;
  }
  char * chr;
  time_t ttemp = 0;
  while(fgets(buffer, 200, pipe)) {
    cout.fill ('.');
    chr = strrchr((char *)&buffer,' ');
    *chr = 0;
    chr++;
    ttemp = atol((char *)&buffer);
    if ((tt_day_start < ttemp) && (tt_day_stop > ttemp)) {
      tmb = localtime(&ttemp);
      cout << tmb->tm_mday << "." <<  tmb->tm_mon+1 << "." << tmb->tm_year+1900
           << " " << tmb->tm_hour << ":" << tmb->tm_min << ":" << tmb->tm_sec
           << " " << setw(29) << " ";
      chr[strlen(chr)-1] = 0;
      switch (atoi(chr)) {
        case 1: cout << "weak pain in the hand"; break;
        case 2: cout << "middle pain in the hand"; break;
        case 3: cout << "severe pain in the hand"; break;
        case 4: cout << "weak pain in the head"; break;
        case 5: cout << "middle pain in the head"; break;
        case 6: cout << "severe pain in the head"; break;
        case 7: cout << "weak pain in the backache"; break;
        case 8: cout << "middle pain in the backache"; break;
        case 9: cout << "severe pain in the backache"; break;
        case 10: cout << "weak pain in the neck"; break;
        case 11: cout << "middle pain in the neck"; break;
        case 12: cout << "severe pain in the neck"; break;
        case 13: cout << "weak pain in the eyes"; break;
        case 14: cout << "middle pain in the eyes"; break;
        case 15: cout << "severe pain in the eyes"; break;
        case 16: cout << "weak pain other"; break;
        case 17: cout << "middle pain other"; break;
        case 18: cout << "severe pain other"; break;
        default: cout << "the cause is unknown";
      }
      cout << "." << endl;
    }
    memset ((void *)&buffer, 0, sizeof(buffer));
  }
  cout << endl << "----------------------------------------------------------------------" << endl << endl;
  if (feof(pipe)) {
    cout << endl << "The report was prepared without crashing." << endl;
    pclose(pipe);
  }
  else {
    cout << endl << "The Report failed." << endl;
    error();
    menu_nomber = -1;
    return;
  }
  cout << "1. In the main menu." << endl;
  cout << "e. EXIT! To exit the program press any key with the letter." << endl;
  char answer;
  cin >> answer;
  switch (answer) {
    case '1': { menu_nomber = 0; break; };
    default: menu_nomber = -1;
  }
}

void error (void) {
    cout << endl << "----------------------------------------------------------------------" << endl;
    cout << "Program reporting abashin.ru 0.0.3." << endl;
    cout << "----------------------------------------------------------------------" << endl;
    cout << "error: Most likely in the program the error occurred, to resolve" <<
           endl << "update the program." << endl << endl;
    menu_nomber = -1;
}

void main_menu (void) {
    cout << endl << "----------------------------------------------------------------------" << endl;
    cout << "Main menu" << endl;
    cout << "----------------------------------------------------------------------" << endl;
    cout << "Select the report type by pressing the number:" << endl;
    cout << "1. Fatigue." << endl;
    cout << "2. Health recovery rate." << endl;
    cout << "3. Overstrain." << endl;
    cout << "4. Fitness." << endl;
    cout << "5. The respiratory system." << endl;
    cout << "6. Effects on the body different types of activities." << endl;
    cout << "7. Body temperature." << endl;
    cout << "8. The time of medical inspection." << endl;
    cout << "9. The questionnaire." << endl;
    cout << "0. Reports of pain/discomfort." << endl;
    cout << "e. EXIT! To exit the program press any letter key." << endl << endl;
    char answer;
    cin >> answer;
    switch (answer) {
      case '1': { menu_nomber = 1; break;};
      case '2': { menu_nomber = 2; break;};
      case '3': { menu_nomber = 3; break;};
      case '4': { menu_nomber = 4; break;};
      case '5': { menu_nomber = 5; break;};
      case '6': { menu_nomber = 6; break;};
      case '7': { menu_nomber = 7; break;};
      case '8': { menu_nomber = 8; break;};
      case '9': { menu_nomber = 9; break;};
      case '0': { menu_nomber = 10; break;};
      default: menu_nomber = -1;
    }
}

int isdigit (char simbol) {
  switch (simbol) {
    case '0': return '0';
    case '1': return '1';
    case '2': return '2';
    case '3': return '3';
    case '4': return '4';
    case '5': return '5';
    case '6': return '6';
    case '7': return '7';
    case '8': return '8';
    case '9': return '9';
    default: return '.';
  }
}

time_t dmytotimet (char * dmy_day) {
  char birthday [12] = {0};
  int i;
  strcpy ((char *)&birthday,dmy_day);
  if ((birthday[1] != '.') && (birthday[2] != '.')) {
    error();
    return 0;
  }
  char buff[5] = {0};
  struct tm * tmb;
  time_t birthday_tt = 0;
  time (&birthday_tt);
  tmb = localtime(&birthday_tt);
  if (birthday[1] == '.') {
    buff[0] = birthday[0];
    i = 2;
  }
  else {
    buff[0] = birthday[0];
    buff[1] = birthday[1];
    i = 3;
  }
  tmb->tm_mday = atoi((char *)&buff);
  memset (&buff,0,sizeof(buff));
  if ((birthday[i+1] != '.') && (birthday[i+2] != '.')) {
    error();
    return 0;
  }
  if (birthday[i+1] == '.') {
    buff[0] = birthday[i];
    i = i + 2;
  }
  else {
    buff[0] = birthday[i];
    buff[1] = birthday[i+1];
    i = i + 3;
  }
  tmb->tm_mon = atoi((char *)&buff) - 1;
  if (tmb->tm_mon > 11) {
    error();
    return 0;
  }
  memset (&buff,0,sizeof(buff));
  if ((strlen(dmy_day) - i) != 4) {
    error();
    return 0;
  }
  else {
    buff[0] = dmy_day[i];
    buff[1] = dmy_day[i+1];
    buff[2] = dmy_day[i+2];
    buff[3] = dmy_day[i+3];
    tmb->tm_year = atoi((char *)&buff) - 1900;
    if (tmb->tm_year < 0) {
      error();
      return 0;
    }
  }
  birthday_tt = mktime (tmb);
  return birthday_tt;
}

int main (int argc, char *argv[]) {
  menu_nomber = 0;
  while (1) {
    switch (menu_nomber) {
      case 0: main_menu(); break;
      case 1: window001(); break;
      case 2: window002(); break;
      case 3: window003(); break;
      case 4: window004(); break;
      case 5: window005(); break;
      case 6: window006(); break;
      case 7: window007(); break;
      case 8: window008(); break;
      case 9: window009(); break;
      case 10: window010(); break;
      case -1: return 1;
      default: {
        error();
        menu_nomber = 0;
      }
    }
  }
  return 1;
}
