/* gcc mouse_client.c -o mouse_client -lpthread -Wall -O3 */
#include <stdio.h>
#include <string.h>
#include <linux/input.h>
#include <unistd.h>
#include <pthread.h>

#define SLEEP_TIME 60
pthread_t ptheventread_id;

char * filename;
char * mouse_device;
FILE * mouse_file;
FILE * data_file;
void * mouse_read (void *);
struct input_event input;

void * mouse_read (void * void_param) {
  bzero(&input, sizeof(struct input_event));
  unsigned short code_old = 0;
  unsigned int value_old = 0;
  while(1) {
    int result = fread ((void *)&input,1,sizeof(input), mouse_file);
    if (result == 0) continue;
    if (input.type == 1)
    if (input.code == 272 || input.code == 273 || input.code == 274)
    if ((input.code != code_old) || (input.value != value_old)) {
      data_file = fopen(filename,"a");
      if (data_file != NULL) {
        fprintf(data_file, "%li %li %i %i %i\n", input.time.tv_sec, input.time.tv_usec,
                input.type, input.code, input.value);
        fflush (data_file);
        fclose(data_file);
      }
      code_old = input.code, value_old = input.value;
    }
  }
};

int main (int argc, char * argv[]) {
  if (argc != 3) return 0;

  mouse_device = argv[1];
  filename = argv[2];

  mouse_file = fopen(mouse_device,"r");
  if (mouse_file == NULL) return 0;
  pthread_create (&ptheventread_id, NULL, &mouse_read, NULL);  

  while (1) {
    sleep(SLEEP_TIME);
  }
  fclose(mouse_file);
  pthread_cancel(ptheventread_id);
};
